<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!-- This collection of hypertext pages is Copyright 1995-7 by Steve Summit. -->
<!-- This material may be freely redistributed and used -->
<!-- but may not be republished or sold without permission. -->
<html>
<head>
<link rev="owner" href="mailto:scs@eskimo.com">
<link rev="made" href="mailto:scs@eskimo.com">
<title>Assignment #1 Answers</title>
</head>
<body>
<H1>Assignment #1 Answers</H1>





<B>Introductory C Programming
<br>
<br>
UW Experimental College
<br>
<br>
Assignment #1 ANSWERS
</B><br>
<br>
<p>Question 1.
<I>Approximately what is the line <TT>#include &lt;stdio.h&gt;</TT>
at the top of a C source file for?
</I><p>In the case of our first few programs, it lets the compiler know
some important information about the library function, <TT>printf</TT>.
It also lets the compiler know similar information about other
functions in the ``Standard I/O library,''
some of which we'll be learning about later.
(It also provides a few I/O-related definitions
which <em>we'll</em> be using later.)
We'll learn more about the <TT>#include</TT> directive when we
cover the C Preprocessor in a few weeks.
<p>Question 2.
<I>What are some uses for comments?
</I><p>Describing what a particular variable is for,
describing what a function is for and how it works,
documenting the name, version number, purpose,
and programmer of an entire program,
explaining any tricky or hard-to-understand part about a program, ...
<p>Question 3.
<I>Why is indentation important?
How carefully does the compiler pay attention to it?
</I><p>Indentation is important to show the logical structure of source code,
in particular, to show which parts--the ``bodies`` of
loops, <TT>if</TT>/<TT>else</TT> statements, and other control flow
constructs--are subsidiary to which other parts.
<p>Indentation is <em>not</em> specially observed by the compiler;
it treats all ``white space'' the same.
Code which is improperly indented will give a human reader
a mistaken impression of the structure of the code,
an impression potentially completely different from the compiler's.
Therefore, it's important that the punctuation which describes
the block structure of code to the compiler matches the indentation.
<p>Question 4.
<I>What are the largest and smallest values
that can be reliably stored in a variable of type <TT>int</TT>?
</I><p>32,767 and -32,767.
<p>Question 5.
<I>What is the difference between the constants
<TT>7</TT>, <TT>'7'</TT>, and <TT>"7"</TT>?
</I><p>The constant <TT>7</TT> is the integer 7
(the number you get when you add 3 and 4).
The constant <TT>'7'</TT> is a character constant consisting 
of the character `7'
(the key between `6' and `8' on the keyboard,
which also has a `&amp;' on it on mine).
The constant <TT>"7"</TT> is a string constant consisting of one character,
the character `7'.
<p>Question 6.
<I>What is the difference between the constants
<TT>123</TT> and <TT>"123"</TT>?
</I><p>The constant <TT>123</TT> is the integer 123.
The constant <TT>"123"</TT> is a string constant
containing the characters <TT>1</TT>, <TT>2</TT>, and <TT>3</TT>.
<p>Question 7.
<I>What is the function of the semicolon in a C statement?
</I><p>It is the statement terminator.
<p>Exercise 3.
<I>Write a program to print the numbers from 1 to 10 and their squares.
</I><br>
<br>
<pre>
#include &lt;stdio.h&gt;

int main()
{
	int i;

	for(i = 1; i &lt;= 10; i = i + 1)
		printf("%d  %d\n", i, i * i);

	return 0;
}
</pre>
<p>Exercise 4.
<I>Write a program to print a simple triangle of asterisks.
</I><br>
<br>
<pre>
#include &lt;stdio.h&gt;

int main()
{
	int i, j;

	for(i = 1; i &lt;= 10; i = i + 1)
		{
		for(j = 1; j &lt;= i; j = j + 1)
			printf("*");
		printf("\n");
		}

	return 0;
}
</pre>
<hr>
<hr>
<p>
This page by <a href="http://www.eskimo.com/~scs/">Steve Summit</a>
// <a href="copyright.html">Copyright</a> 1995-9
// <a href="mailto:scs@eskimo.com">mail feedback</a>
</p>
</body>
</html>
